import Review from '../models/Review.js'
import cheerio from "cheerio";
import express from 'express';
import request from 'request-promise'
import jschardet from 'jschardet'
import iconv from 'iconv'
import fs from 'fs'
const Iconv = iconv.Iconv

const signup = async (req, res) => {
    res.send("안녕하세요")
}

const search = async (req, res) => {
    const url = "https://www.google.com/search?q=" + encodeURI(req.params.search) + "+site%3Atistory.com" + '&page_no=1'

    request(url)
        .then(anyToUtf8)
        .then((html) => {
            // fs.writeFileSync("googlez.txt", '\ufeff' + html, { encoding: 'utf8' });
            let $ = cheerio.load(html, null, false);
            let places = []
            $('.kCrYT').each(function (i) {
                const review = await Review.findOne({ link: $(this).find('a').attr('href') })
                if (!user) {
                    const newReview = await new Review({
                        name,
                        email,
                        password: hash
                    }).save()
                }
                places[i] = {
                    title: $(this).find('h3').text(),
                    link: $(this).find('a').attr('href'),
                    summary: $(this).find('.s3v9rd').text(),
                }
            })

            // console.log(places)  
            res.send(places)
        })
    function anyToUtf8(str) {
        const { encoding } = jschardet.detect(str);
        console.log("source encoding = " + encoding);
        const iconv = new Iconv(encoding, "utf-8//translit//ignore");
        return iconv.convert(str).toString();
    }
    // try {
    //     const newPlace = await new Place({
    //         name: req.params.search,
    //         address,
    //         img,

    //     })
    // }
}

const

export default { signup, search }